Subject: bug#19832: Deleting unused links is too slow

From: [email-masked] (Ludovic Courtès)
Date: Tue, 10 Feb 2015 23:24:51 +0100

Andreas Enge <[email-masked]> skribis:

> I just compiled a test package and tried a
> "guix gc -d /path/to/package/in/store"
>
> After printing
>  deleting `/gnu/store/642pwarg5hppzh1gwadd07w0g4w3rwpx-nss-certs-3.17.3'
>  deleting `/gnu/store/trash'
>  deleting unused links...
> which is instantaneous, I need to wait for 5 minutes with the disk spinning.

Literally 5 minutes?  It would be more like 30s on my SSD.

> I suppose this is a side-effect of deduplication?

That, and the fact that you have a disk that actually spins.  ;-)

If you haven’t GC’d in a long time, it’s also likely to take longer.

Ludo’.